Subject: bug#68781: [PATCH] Don't fill yaml except comments and block scalars.

From: Randy Taylor <[email-masked]>
Date: Tue, 30 Jan 2024 19:25:07 +0000

On Monday, January 29th, 2024 at 20:20, Graham Marlow <[email-masked]> wrote:
> 
> 
> > Hello Randy, thanks for having a look! Could you tell me which
> 
> > tree-sitter grammar you are using? I'm asking because with the grammar
> > from https://github.com/ikatyang/tree-sitter-yaml I don't see what you
> > describe.
> 
> 
> For the record I'm also using this grammar.
> 
> Looking at the patch, what do you think about retaining the existing
> behavior (so block_scalars still fill correctly) while inhibiting
> fill_paragraph for everything else as suggested? Originally I retained
> the existing behavior of fill-paragraph just to limit the number of
> things changed by the patch, not because it was working properly. I
> think blocking the call to fill-paragraph for non-block/comment nodes
> makes sense.
> 
> I attached a patch w/ my edits, but it just swaps the when to and if,
> accepts the comment node type for filling, and returns t to avoid
> calling fill-paragraph for other nodes.

Thanks Graham, the patch looks good to me.

Would someone please install it on master? Thanks in advance.